# RakPeer::MemoryBlock Struct Reference

Automatic Variable Synchronization Mechanism automatic variable synchronization takes a primary and secondary identifier The unique primary identifier is the index into the automaticVariableSynchronizationList The unique secondary identifier (UNASSIGNED_NETWORK_ID for none) is in an unsorted list of memory blocks. More...

`#include <RakPeer.h>`

List of all members.

## Detailed Description

Automatic Variable Synchronization Mechanism automatic variable synchronization takes a primary and secondary identifier The unique primary identifier is the index into the automaticVariableSynchronizationList The unique secondary identifier (UNASSIGNED_NETWORK_ID for none) is in an unsorted list of memory blocks.

The documentation for this struct was generated from the following file:

- /home/rakkar/raknet-trunk/export/Source/RakPeer.h